/* Example 2.1

 Statistical Methods in Biology: Design and Analysis of Experiments and Regression
 by S.J. Welham, S.A. Gezan, S.J. Clark & A. Mead (2014)
 Chapman & Hall/CRC Press, Boca Raton, Florida. ISBN: 978-1-4398-0878-8
 Version 1, 18/09/2014 

 Set working directory - change to location of your data file */

* Example 2.1A

* Read data from working directory;
data WHEAT;
  infile 'C:\DataFiles\WHEAT.DAT' firstobs=2 expandtabs;
  input DPlot Variety $ Yield;
run;
proc print data=WHEAT;run;

* Select Commercial variety data only;
data COMMERCIAL; 
  set WHEAT;
  if Variety='Improved' then delete;
run;

* Summary Statistics;
proc means data=COMMERCIAL mean var std cv;
  var Yield;
run;

* Example 2.1B

* One-sided t-test and confidence interval;
proc ttest data=COMMERCIAL h0=9 alpha=0.05;
  var Yield;
run;

* Example 2.1C

* Two-sided t-test and confidence interval;
proc ttest data=WHEAT alpha=0.05;
  class Variety;
  var Yield;
run;
