/* Example 2.2

 Statistical Methods in Biology: Design and Analysis of Experiments and Regression
 by S.J. Welham, S.A. Gezan, S.J. Clark & A. Mead (2014)
 Chapman & Hall/CRC Press, Boca Raton, Florida. ISBN: 978-1-4398-0878-8
 Version 1, 18/09/2014  */

* Example 2.2A 

* Calculate binomial and binomial cummulative probabilities;
data TEMPA;
  prob0=probbnml(0.4,3,0);
  prob1=probbnml(0.4,3,1)-probbnml(0.4,3,0);
  prob2=probbnml(0.4,3,2)-probbnml(0.4,3,1);
  prob3=probbnml(0.4,3,3)-probbnml(0.4,3,2);
  cumulprob0=probbnml(0.4,3,0);
  cumulprob1=probbnml(0.4,3,1);
  cumulprob2=probbnml(0.4,3,2);
  cumulprob3=probbnml(0.4,3,3);
run;
proc print data=TEMPA;run;

* Example 2.2B;

* Calculate the median (50th percentile) for a binomial distribution;
data TEMPB;
  q50=quantile('binomial',0.5,0.4,3);
run;
proc print data=TEMPB;run;

* Example 2.2C;

* Calculate the mean and variance of the distribution using the probabilities;
data TEMPC;set TEMPA;
  mean=prob0*0+prob1*1+prob2*2+prob3*3;
  var=prob0*(0-mean)**2+prob1*(1-mean)**2+prob2*(2-mean)**2+prob3*(3-mean)**2;
run;
proc print data=TEMPC;run;

* Example 2.2D;

* Observed data;
data INFECTED;
  input Count @@;
  datalines;
  0 2 1 1 0 1 1 1 2 1 3 1 3 1 0 0 0 2 1 1
run;
proc print data=INFECTED;run; 

* Calculate empirical probability distribution;
proc freq data=INFECTED;
  tables Count;
run;

* Obtain the observed sample mean and unbiased sample variance
  and calculate the sample quartiles from the observed data;
proc means data=INFECTED mean var q1 median q3;
  var Count;
run;

* Produce a bar-chart to summarise the empirical frequency 
  distribution of the observed data;
proc univariate data=INFECTED noprint;
  histogram Count / midpoints=0 1 2 3;
run;
