/* Example 2.3

 Statistical Methods in Biology: Design and Analysis of Experiments and Regression
 by S.J. Welham, S.A. Gezan, S.J. Clark & A. Mead (2014)
 Chapman & Hall/CRC Press, Boca Raton, Florida. ISBN: 978-1-4398-0878-8
 Data from Rothamsted Research (A. Karp)
 Version 1, 18/09/2014 

 Set working directory - change to location of your data file */

* Read data from working directory;
data WILLOW;
  infile 'C:\DataFiles\WILLOW.DAT' firstobs=2 expandtabs;
  input DBeetle Length Width;
run;
proc print data=WILLOW;run;

* Example 2.3A;

* Print sample statistics for length;
proc means data=WILLOW min max mean var std median q1 q3;
  var Length;
run;

* Plot histogram;
proc univariate data=WILLOW noprint;
  histogram Length;
run;

* Example 2.3B;

* Plot data;
axis1 label=('Beetle length');
axis2 label=('Beetle width');
symbol value=dot interpol=none;
proc gplot data=WILLOW;
  plot Length*Width / vaxis=axis1 haxis=axis2;
run;

* Variance-covariance and correlation matrix
  and test correlation coefficient;
proc corr data=WILLOW cov;
  var Length Width;
run;
