/* Example 4.1

 Statistical Methods in Biology: Design and Analysis of Experiments and Regression
 by S.J. Welham, S.A. Gezan, S.J. Clark & A. Mead (2014)
 Chapman & Hall/CRC Press, Boca Raton, Florida. ISBN: 978-1-4398-0878-8
 Version 1, 18/09/2014 

 Set working directory - change to location of your data file */

* Read data from working directory;
data CALCIUM;
  infile 'C:\DataFiles\CALCIUM.DAT' firstobs=2 expandtabs;
  input Pot Calcium $ Length;
run;
proc print data=CALCIUM;run;

* Example 4.1A;

* Sorting data by treatment;
proc sort data=CALCIUM;
  by Calcium;
run;

* Print sample mean, variance and standard deviation;
proc means data=CALCIUM mean std var;
  by Calcium;
  var Length;
run;

* Calculate and print grand mean;
proc means data=CALCIUM mean;
  var Length;
run;

* Plot bar chart with errors;
proc gchart data=CALCIUM;
  vbar Calcium / type=mean
  sumvar=Length
  errorbar=bars;
run;

* Example 4.1D, 4.1E & 4.1F;

* Obtain one-way ANOVA;
* Display 95% confidence intervals and standard error of the mean;
proc glm data=CALCIUM;
  class Calcium;
  model Length = Calcium;  
  lsmeans Calcium / stderr cl alpha=0.05 tdiff pdiff;
  means Calcium / lsd cldiff;
run;
