/* Example 7.1

 Statistical Methods in Biology: Design and Analysis of Experiments and Regression
 by S.J. Welham, S.A. Gezan, S.J. Clark & A. Mead (2014)
 Chapman & Hall/CRC Press, Boca Raton, Florida. ISBN: 978-1-4398-0878-8
 Version 1, 19/09/2014 

 Set working directory - change to location of your data file */

ods graphics on;

* Read data from working directory;
data POTATO;
  infile 'C:\DataFiles\POTATO.DAT' firstobs=2 expandtabs;
  input ID Block Plot Type $ Fungicide $ Yield;
run;
proc print data=POTATO;run;

* Example 7.1B;
proc tabulate data=POTATO;
  class Block Fungicide;
  var Yield;
  table Block all,mean=' '*Yield*(Fungicide all);
run;

* Example 7.1C;

* One-way ANOVA with blocking and diagnostic plots;
proc glm data=POTATO plot=DIAGNOSTICS;
  class Block Plot Fungicide;
  model Yield = Block Fungicide; 
run;

* Example 7.1D;

* Display tables of means with SEM, SED and LSD
  and 95% confidence intervals for means;
proc glm data=POTATO plot=DIAGNOSTICS;
  class Block Plot Fungicide;
  model Yield = Block Fungicide; 
  lsmeans Fungicide / stderr cl alpha=0.05;
  means Fungicide / lsd cldiff;
run;
