/* Example 7.2

 Statistical Methods in Biology: Design and Analysis of Experiments and Regression
 by S.J. Welham, S.A. Gezan, S.J. Clark & A. Mead (2014)
 Chapman & Hall/CRC Press, Boca Raton, Florida. ISBN: 978-1-4398-0878-8
 Version 1, 19/09/2014 

 Set working directory - change to location of your data file */

* Read data from working directory;
data POTATOROW;
  infile 'C:\DataFiles\Examples\POTATOROW.DAT' firstobs=2 expandtabs;
  input ID Block Plot Row Fungicide $ RowYield;
run;
proc print data=POTATOROW (obs=10);run;

* Example 7.2B;

* Correct ANOVA with multistratum (one-way ANOVA with blocks and pseudo-replication);
proc glm data=POTATOROW;
  class Block Fungicide;
  model RowYield = Block Fungicide Block*Fungicide;
  test h=Block e=Block*Fungicide;
  test h=Fungicide e=Block*Fungicide;
  lsmeans Fungicide / stderr e=Block*Fungicide;
run;

* Incorrect multi-stratum ANOVA (one-way ANOVA with only blocks specified);
proc glm data=POTATOROW;
  class Block Fungicide;
  model RowYield = Block Fungicide;
  lsmeans Fungicide / stderr cl alpha=0.05;
run;
